Name: mpc
Version: 1.0.3
Release: 12
Group: Development/Tools
License: LGPLv2+
URL: http://www.multiprecision.org/
Summary: C library for multiple precision complex arithmetic


BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: gmp-devel
BuildRequires: mpfr-devel

Source0: https://ftp.gnu.org/gnu/mpc/mpc-%{version}.tar.gz

%description
MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result. It is
built upon and follows the same principles as Mpfr.

%package -n libmpc3
Summary: GNU arbitrary precision library

%description -n libmpc3
MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result. It is
built upon and follows the same principles as Mpfr.

%package -n mpc-devel
Summary: GNU arbitrary precision library
Requires: libmpc3 = %{version}

%description -n mpc-devel
MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result. It is
built upon and follows the same principles as Mpfr.

%prep
%setup -q

%build

%configure \
  CFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  CXXFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --host=powerpc64-ibm-aix6 \
  --build=powerpc64-ibm-aix6 \
  --with-aix-soname=svr4 \
  --with-gmp-include=%{_includedir} \
  --with-gmp-lib=%{_libdir} \
  --with-mpfr-include=%{_includedir} \
  --with-mpfr-lib=%{_libdir} \
  --enable-shared \
  --disable-static \
  #end

%make_build

rm libtool
ln -s `which libtool` .

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libmpc3
%defattr(-, qsys, *none)

%{_libdir}/libmpc.so.3

%files -n mpc-devel
%defattr(-, qsys, *none)

%{_libdir}/libmpc.so
%{_includedir}/*
%{_infodir}/*
